import { PropsWithChildren } from 'react'
import loadingState from './globalStates/loadingState'
import userState from './globalStates/userState'
import userAuthState from './globalStates/userAuthState'
import adTypeState from './globalStates/adTypeState'

export default function GlobalStateProvider({children}: PropsWithChildren) {
  const globalStates = [
    // 需要设置为全局的state的加到这里
    adTypeState,
    userState,
    loadingState,
    userAuthState
  ] 

  let provider = children
  for (const state of globalStates) {
    provider = (
      <state.GlobalStateProvider>
        {provider}
      </state.GlobalStateProvider>
    )
  }
  
  return provider 
}